## rtmpsink rtmpsink |

## Properties

gchar * | location | Read / Write

## Types and Values

struct | GstRTMPSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstRTMPSink

## Implemented Interfaces

GstRTMPSink implements GstURIHandler.

## Description

This element delivers data to a streaming server via RTMP. It uses librtmp, and supports any protocols/urls that librtmp supports. The URL/location can contain extra connection or session parameters for librtmp, such as 'flashver=version'. See the librtmp documentation for more detail

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! ffenc_flv ! flvmux ! rtmpsink location='rtmp://localhost/path/to/stream live=1'

Encode a test video stream to FLV video format and stream it via RTMP.

## Synopsis

### Element Information

plugin | rtmp
author | Jan Schmidt <thaytan@noraisin.net>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-flv

## Functions

## Types and Values

### struct GstRTMPSink

    struct GstRTMPSink;

## Property Details

### The `“location”` property

      “location”                 gchar *

RTMP url.

Flags: Read / Write

Default value: NULL